#
# spec file for package yast2-inetd
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-inetd
Version:        3.1.13
Release:        3.3
Url:            https://github.com/yast/yast-inetd

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2

# yast2-2.23.15 - Service module switched to systemd
BuildRequires:  perl-XML-Writer
BuildRequires:  update-desktop-files
BuildRequires:  yast2 >= 2.23.15
BuildRequires:  yast2-devtools >= 3.1.10
BuildRequires:  yast2-ruby-bindings
BuildRequires:  yast2-testsuite
BuildRequires:  yast2-users
BuildRequires:  rubygem(rspec)
# Wizard::SetDialogTitleAndIcon
Requires:       yast2 >= 2.21.22
Requires:       yast2-packager
Requires:       yast2-users
Conflicts:      yast2-core < 2.17.9

Provides:       y2c_inet
Provides:       yast2-config-inet
Obsoletes:      y2c_inet
Obsoletes:      yast2-config-inet
Provides:       y2t_inet
Provides:       yast2-trans-inet
Obsoletes:      y2t_inet
Obsoletes:      yast2-trans-inet

BuildArch:      noarch

Requires:       yast2-ruby-bindings >= 1.0.0

Summary:        YaST2 - Network Services Configuration
License:        GPL-2.0
Group:          System/YaST

%description
The YaST2 component for configuring the inetd and xinetd daemons.

%prep
%setup -n %{name}-%{version}

%build
%yast_build

%install
%yast_install

%files
%defattr(-,root,root)
%dir %{yast_yncludedir}/inetd
%{yast_yncludedir}/inetd/*
%{yast_clientdir}/inetd*.rb
%{yast_clientdir}/xinetd*.rb
%{yast_moduledir}/Inetd.rb
%{yast_desktopdir}/inetd.desktop
%{yast_schemadir}/autoyast/rnc/inetd.rnc
%doc %dir %{yast_docdir}
%doc %{yast_docdir}/COPYING

%package doc

Requires:       yast2-inetd

Summary:        YaST2 - Network Services Configuration
Group:          System/YaST

%description doc
The YaST2 component for configuring the inetd and xinetd daemons
(documentation).

%files doc
%defattr(-,root,root)
%doc %{yast_docdir}
%exclude %{yast_docdir}/COPYING

%changelog
* Tue Jun  7 2016 igonzalezsosa@suse.com
- Stop generating autodocs (fate#320356)
- 3.1.13
* Mon Nov 16 2015 igonzalezsosa@suse.com
- Fix validation of AutoYaST profiles (bsc#954412)
- 3.1.12
* Tue Jun  2 2015 lslezak@suse.cz
- remove broken split provides, causes yast2-inetd-doc package
  reinstallation (bnc#921353)
- 3.1.11
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
* Mon Sep 29 2014 schubi@suse.de
- Checking nil parameters (server,server_args) in GetServerBasename
  before making a dup. (bnc#898745)
- 3.1.9
* Thu Sep  4 2014 mvidner@suse.com
- Use a more flexible rubygem requirement syntax (bnc#895069)
- 3.1.8
* Mon Sep  1 2014 mvidner@suse.com
- allow tested code to know it is being tested (bnc#893965)
- 3.1.7
* Fri Aug 15 2014 locilka@suse.com
- Fixed adjusting the xinetd service status (bnc#886420)
- 3.1.6
* Mon May  5 2014 locilka@suse.com
- Replaced obsolete Service.* calls with new ones
- Inetd.netd_status* are now boolean values
- Adapted testsuite
- 3.1.5
* Fri Mar 28 2014 vmoravec@suse.com
- Fix failing testsuite
- 3.1.4
* Wed Mar 12 2014 vmoravec@suse.com
- Fix failing testsuite
- 3.1.3
* Tue Feb 18 2014 locilka@suse.com
- VNC server has been moved to xorg-x11-Xvnc package (bnc#859903)
- 3.1.2
* Wed Nov 13 2013 jreidinger@suse.com
- Add explicit COPYING file
* Wed Sep 18 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Mon Apr 22 2013 tgoettlicher@suse.de
- testsuite adapted to last change of Service.ycp
- 2.21.5
* Tue Jan 15 2013 locilka@suse.com
- README and COPYING moved to the base package
- 2.21.4
* Thu Jan  3 2013 locilka@suse.com
- Testsuites adapted to switching Service module to systemd
  (yast2-2.23.15)
- 2.21.3
* Tue Nov 13 2012 tgoettlicher@suse.de
- confirmed license GPL v2
- 2.21.2
* Thu Mar 29 2012 jsuchome@suse.cz
- merged proofed texts
* Mon Sep 26 2011 visnov@suse.cz
- set dialog title
- 2.21.1
* Mon Sep 12 2011 lslezak@suse.cz
- updated testsuite (systemd support) (bnc#664548)
- 2.21.0
* Fri Aug  5 2011 tgoettlicher@suse.de
- fixed .desktop file (bnc #681249)
* Wed Feb 10 2010 locilka@suse.cz
- Updated list of services.
- 2.19.0
* Wed Jan 13 2010 kmachalkova@suse.cz
- Adjusted .desktop file(s) to wrap /sbin/yast2/ calls in xdg-su
  where root privileges are needed, removed X-KDE-SubstituteUID key
  (bnc#540627)
* Tue Jun 16 2009 mvidner@suse.cz
- Using autodocs-ycp.ami, which contains a fix for automake 1.11.
* Fri Nov 28 2008 locilka@suse.cz
- Updated to the latest state of packages (default services).
- Disallowing invalid characters in service name to prevent from
  failures in writing the configuration (bnc #447487).
- 2.17.3
* Thu Oct  9 2008 jsuchome@suse.cz
- fixed failing testsuite (Service.ycp)
- 2.17.2
* Wed Aug 27 2008 locilka@suse.cz
- Using buil-in getenv instead of artificial simulation of it.
- Adjusted RPM dependencies.
- [Cancel] instead of [Abort].
- 2.17.1
* Tue Aug  5 2008 locilka@suse.cz
- Adjusted to the newest default configurations.
- Package documentation has been moved into new yast2-inetd-doc.
- 2.17.0
* Fri May 16 2008 jsrain@suse.cz
- added categories Settings and System into desktop file
  (bnc #382778)
* Mon Mar 17 2008 jsrain@suse.cz
- added 'StartupNotify=true' to the desktop file (bnc #304964)
- 2.16.0
* Mon Jul 30 2007 locilka@suse.cz
- 2.15.1
* Fri May 25 2007 jsrain@suse.cz
- removed outdated translations from .desktop-files (#271209)
* Wed Apr 25 2007 locilka@suse.cz
- Fixing inetd.rnc file (#242148), patch from ug@suse.de.
- 2.15.0
* Fri Oct 27 2006 locilka@suse.cz
- Adjusted the default configuration according to the current
  status of services.
- Do not install the package when it has been installed already,
  Install it when needed (#215229).
- Added inetd.rnc for AutoYaST profile validation (#215248).
- 2.14.1
* Tue Oct 10 2006 locilka@suse.cz
- Merged SLES10 SP1 branch to openSUSE 10.2.
- 2.14.0
* Mon Aug 21 2006 locilka@suse.cz
- Using XVersion module for pre-defined paths to X-related binaries
- Fixed testsuites
- Regenerated default services configuration
- 2.13.6
* Thu Aug 10 2006 locilka@suse.cz
- Moved (x)inetd agent from yast2-inetd to yast2
- Adjusting Requires
- 2.13.5
* Fri Jul 21 2006 locilka@suse.cz
- Replaced deprecated 'find' builtin with 'select' or with other
  builtins.
- 2.13.4
* Thu May 11 2006 locilka@suse.cz
- Fixed behavior of editing just installed services (packages
  installed after user selected to `edit not-installed service).
  This problematic issue was caused by changed ID of the service
  from NI{int_1} to {int_2}:{/etc/xinetd.d/service} (#172449).
- 2.13.3
* Mon Mar  6 2006 locilka@suse.cz
- Adjusted BuildRequires for package
- 2.13.2
* Mon Feb 13 2006 locilka@suse.cz
- Fixed bug #145840, 'wait' options were not translated in the UI.
  Fixed in the list of services and in dialog for adding or editing
  the service.
- 2.13.1
* Thu Sep 22 2005 locilka@suse.cz
- Fixed bug #118180, generated a new default configuration
  Fixed tool for generating the configuration to check the
  environment before it starts and to report errors better
- Fixed bug #117965, fixed `frustrating` behavior of the module
  when enabling the not installed service would install the service
  but leave it disabled for this turn. Now it is also enabled.
- 2.13.0
* Fri Aug 19 2005 locilka@suse.cz
- fixed bug #105456, AutoInstallation never enabled services
  mentioned in the profile because the 'default' generated
  configuration contained './etc/' path instead of '/etc/'.
- fixing testsuite
- 2.12.5
* Thu Aug  4 2005 locilka@suse.cz
- fixed bug #73052, table of services is sorted by the service name
  by default
- fixed testsuites after changed default sorting
- 2.12.4
* Tue Aug  2 2005 locilka@suse.cz
- fixed bug #77113, xinetd activation didn't work
- fixed testsuites
- 2.12.3
* Tue Aug  2 2005 locilka@suse.cz
- changing maintainer
- 2.12.2
* Thu Jun  2 2005 mlazar@suse.cz
- fixed typo: xionetd -> xinetd
* Mon May  9 2005 mlazar@suse.cz
- 2.12.1
- avoid using keyword default as variable name
* Fri Mar  4 2005 mlazar@suse.cz
- merged proofed texts
* Wed Mar  2 2005 mlazar@suse.cz
- 2.12.0
- fixed bug 67093 (enabled admind)
- updated default_conf_xinetd.ycp
* Fri Feb 25 2005 mlazar@suse.cz
- fixed Bug 66508 - error in log when configuring uninstalled service
- 2.11.9
* Mon Feb 21 2005 mlazar@suse.cz
- added maintainer keyword to header to default_conf_xinetd.ycp
* Mon Feb 21 2005 mlazar@suse.cz
- propdel svn:mime-type all-services.sh
* Mon Feb 21 2005 mlazar@suse.cz
- fixet `table notify
* Tue Feb  8 2005 mvidner@suse.cz
- Merged proofread texts.
- 2.11.8
* Mon Feb  7 2005 visnov@suse.cz
- resubmit
- 2.11.7
* Fri Feb  4 2005 mlazar@suse.cz
- removed @ydatadir@/default_conf_(x)inetd.ycp from spec.in file
* Wed Feb  2 2005 mlazar@suse.cz
- 2.11.6
- deleted src/default_conf_inetd.ycp
- default_conf is now included instead of read in run-time
- updated src/default_conf_xinetd.ycp
- updated testsuite
- all-services.sh, default_conf_create.ycp: don't generate
  defaults for inetd
- default_conf_create.ycp: avoid select() and lookup()
* Tue Feb  1 2005 nashif@suse.de
- Fixed testsuite, again..
- 2.11.5
* Tue Feb  1 2005 mlazar@suse.cz
- fixed testsuite
- 2.11.4
* Mon Jan 31 2005 mlazar@suse.cz
- removed inetd from testsuites
- 2.11.3
* Mon Jan 31 2005 mlazar@suse.cz
- improved command line
- 2.11.2
* Fri Jan 28 2005 mlazar@suse.cz
- command line support: summary
- removed rdm socket type (not in xinetd)
- preliminary LiMaL interface
* Thu Jan 27 2005 mlazar@suse.cz
- changed texts: flag wait/nowait -> wait yes/no
- updated help texts for xinetd and wait/nowait
* Tue Jan 25 2005 mlazar@suse.cz
- removed inetd support
* Tue Jan 25 2005 mlazar@suse.cz
- Progress::on()/off() replaced with Progress::set()
* Mon Jan 24 2005 mlazar@suse.cz
- added minimal command line mode support
* Fri Jan 21 2005 mlazar@suse.cz
- 2.11.1
* Tue Nov 23 2004 mlazar@suse.cz
- updated MAINTAINER file
- changed texts from Inetd to Xinetd (#45164)
* Thu Nov  4 2004 mvidner@suse.cz
- Replaced selects by brackets, fixing build.
- 2.11.0
* Thu Sep 30 2004 mvidner@suse.cz
- Hopefully final autoyast fixes (#45463):
  Read defaults on first start
  If a change in the module was canceled, it would clear the
  modified flag and the module would not export anything even though
  there were previous changes.
  Summary would show Not Configured unless a change was canceled or
  the data read from a file.
  Changes would be lost on re-entering the module
- 2.10.6
* Wed Sep 29 2004 mvidner@suse.cz
- Incremental autoyast fixes (#45463).
- 2.10.5
* Tue Sep 28 2004 mvidner@suse.cz
- Autoyast:
  Fixed cloning (#45463).
  Do not choose between inetd and xinetd.
- 2.10.4
* Mon Sep 20 2004 mvidner@suse.cz
- Autoyast:
  Export in current data format, not the imported one.
  Don't import when creating summary (nashif).
- 2.10.3
* Wed Sep 15 2004 mvidner@suse.cz
- Disable installing inetd, it's dropped.
- Use Package instead of Require.
- Make an alias, "yast2 xinetd".
- 2.10.2
* Fri Sep  3 2004 mvidner@suse.cz
- Added GetModified, SetModified for autoyast (#43904, nashif).
- 2.10.1
* Wed Aug 18 2004 nashif@suse.de
- Using xorg-x11 instead of XFree86.
* Mon Jun 21 2004 mvidner@suse.cz
- Added "testedfiles" to test cases to make it work with the new testsuite.
- Cleaned up Inetd::Write
- 2.10.0
* Fri Apr  2 2004 mvidner@suse.cz
- changed license to GPL
- 2.9.12
* Wed Mar 31 2004 mvidner@suse.cz
- autoyast - check arguments
- updated the installable packages list (vnc)
- 2.9.11
* Wed Mar 24 2004 mvidner@suse.cz
- alert the user if he is not root (#35363)
- Runlevel -> Service
- 2.9.10
* Thu Mar 18 2004 mvidner@suse.cz
- added autoyast compatibility for SL8.1/SLES8 (#28067)
* Fri Mar 12 2004 mvidner@suse.cz
- updated the installable packages list
- added wizard icons (jhumpol)
- using Sequencer
- re-enabled testsuite
- 2.9.9
* Wed Mar 10 2004 mvidner@suse.cz
- disabled testsuite because of Wizard problems
- 2.9.8
* Wed Mar 10 2004 nashif@suse.de
- adapted for new wizard
* Sun Mar  7 2004 kkaempf@suse.de
- adapt testsuite
* Fri Mar  5 2004 mvidner@suse.cz
- added type information
- 2.9.4
* Tue Feb 10 2004 lslezak@suse.cz
- removed *.y2cc files
- agent testsuite fix (mvidner)
- version 2.9.3
* Mon Feb  9 2004 lslezak@suse.cz
- testsuite: NI fixes, enabled agent testing
- Inetd.ycp - removed empty statement
- version 2.9.2
* Fri Feb  6 2004 lslezak@suse.cz
- NI fixes (data types, globals)
- build fixes (ycp hook, pack ybc file, needed packages)
- testsuite update (NI fixes, agent testing disabled)
- version 2.9.1
* Fri Oct 31 2003 mvidner@suse.cz
- Fixed retrieving the lists of users and groups (#32783).
- Handling the window close button properly.
- 2.9.0
* Sun Sep 14 2003 adrian@suse.de
- make it working in kcontrol
* Mon Sep  8 2003 nashif@suse.de
- #30291: Added function Packages to auto client to return
  list of required packages
* Wed Aug 27 2003 lslezak@suse.de
- use users module for reading users/groups
- version 2.8.6
* Wed Aug 20 2003 jsuchome@suse.de
- removed redundant "initialization dialog" (#28779)
- 2.8.5
* Mon Aug 18 2003 lslezak@suse.cz
- 'Finish' button label at the main dialog
- version 2.8.4
* Mon Aug 11 2003 lslezak@suse.de
- merged proofread texts
- version 2.8.3
* Mon Aug  4 2003 mvidner@suse.cz
- Updated the installable packages list.
- Added desktop file (supersedes y2cc file).
- 2.8.2
* Tue Jul 22 2003 mvidner@suse.cz
- Autoinstalation:
  * improved service matching
  * export only changed fields from the UI
- Can enable/disable all services at once (phadraba).
- When a package is installed, the used button does not have
  to be pressed again.
- If we have an includedir (for xinetd we do), create new services
  in their own files there (#26999).
- Using Label and Popup.
- 2.8.1
* Fri Mar 14 2003 mvidner@suse.de
- Autoinstallation fixes (phadraba, #25317).
  * server path
  * multiple services in a package
  * editing an added service
- 2.7.10
* Tue Mar 11 2003 mvidner@suse.de
- Updated the installable packages list, final for 8.2 (#24671-24693).
- 2.7.9
* Mon Mar  3 2003 mvidner@suse.de
- Texts from final proofreading.
- Updated the installable packages list.
- 2.7.8
* Thu Feb 27 2003 mvidner@suse.de
- Fix skipping consecutive modified services when writing (#24379).
- 2.7.7
* Wed Feb 26 2003 mvidner@suse.de
- includedir was lost after adding and removing a xinetd service (#24270).
- Updated the installable packages list.
- 2.7.6
* Mon Feb 24 2003 mvidner@suse.de
- updated installable packages list
- autoinstallation: (phadraba)
  * now uses Require.ycp
  * service package dialog - updated text
  * now exports only changed services
- screenshots for documentation are now smaller (phadraba)
- 2.7.5
* Mon Feb 17 2003 mvidner@suse.de
- Autoinstallation fixes (phadraba).
- Changed _auto::Result to Export (nashif).
- 2.7.4
* Mon Feb 10 2003 jsuchome@suse.de
- Merged proofread texts (3rd round).
* Fri Feb  7 2003 jsrain@suse.de
- Merged texts from 2nd proofreading
* Tue Feb  4 2003 mvidner@suse.de
- Fixed re-reading the files (don't keep the old services).
* Mon Feb  3 2003 mvidner@suse.de
- Merged proofread texts.
- 2.7.3
* Thu Jan 16 2003 mvidner@suse.de
- Fixed disabling a xinetd service.
- The agent can now re-read the files (eg. when a new one is installed).
- Disregard line numbers in the agent testsuite.
* Fri Jan 10 2003 mvidner@suse.de
- Prevent agent from returning strings as integers/booleans (~#21804).
* Wed Jan  8 2003 phadraba@suse.de
- Autoinstallation of inetd/xinetd is implemented
* Thu Dec 19 2002 phadraba@suse.de
- Updated source code to default YaST2 module skeleton
- New UI uses new SCR
- Module handles inetd and xinetd configuration
- SCR by mvidner, UI by phadraba
* Tue Dec 10 2002 mvidner@suse.de
- Extended to work with xinetd apart from inetd
- UI by phadraba, SCR by mvidner
- 2.7.0
* Mon Oct  7 2002 mvidner@suse.cz
- The temporary file is created in /var/lib/YaST2, not /tmp (#16420).
- In autoyast mode, services can be only enabled and disabled
  so the Create, Edit and Delete buttons are disabled (#20524).
- 2.6.8
* Tue Sep 10 2002 msvec@suse.cz
- provide/obsolete old translation package
- 2.6.7
* Sat Sep  7 2002 nashif@suse.de
- enable service network also
- dont try to remove inetd.conf if it's not there..
* Tue Sep  3 2002 nashif@suse.de
- use Directory module for bin files
- Activate service in WriteOnly mode
- 2.6.5
* Fri Aug 30 2002 mike@suse.de
- bugfixes  15501 16420 16132 18266
  - network service editor misses lines from inetd.conf,
  - does not work,
  - create does not work
* Tue Aug 27 2002 jsuchome@suse.cz
- provide/obsolete old translation packages
* Thu Aug 15 2002 jsuchome@suse.cz
- Merged proofread texts for the second translation round.
* Fri Jul 12 2002 arvin@suse.de
- use proper namespace for Args and CallFunction (#16776)
* Thu Jul  4 2002 arvin@suse.de
- moved non binary files to /usr/share/YaST2
* Mon Jul  1 2002 msvec@suse.cz
- added minimal testsuite
- renamed to yast2-inetd
- 2.6.1
* Mon Feb 11 2002 nashif@suse.de
- updates for autoinstall
* Mon Jan 28 2002 nashif@suse.de
- Added WriteOnly: Write without starting any services
- adapted _write
- 2.5.2
* Tue Jan 22 2002 nashif@suse.de
- use Wizard, Sequencer
- USe skeleton
- Added _write, _auto for autoinstallation
* Mon Jan 21 2002 nashif@suse.de
- migration to devtools
  - use standard copyright files
  - removed old menu entry
  - added testsuite
  - fixed syntax (select and lookup)
* Thu Sep  6 2001 jbuch@suse.de
- Read -> SCR::Read(..)
* Mon Apr 30 2001 jbuch@suse.de
- fixed bug with return nil to list | void
* Tue Apr 24 2001 jbuch@suse.de
- define -> global define
* Tue Apr 17 2001 kkaempf@suse.de
- name change to "yast2-config-inet"
  package as .bz2
* Thu Jan 18 2001 mike@suse.de
- fix: now translates properly
* Wed Dec 13 2000 mike@suse.de
- new menuentry
* Sat Jul 15 2000 kkaempf@suse.de
- typo fixed
  version 1.0.5
* Fri Jul 14 2000 gs@suse.de
- deleting file in tmp
* Thu Jul 13 2000 mike@suse.de
- fix in specfile: perlscript now included
* Tue Jul 11 2000 mike@suse.de
- fix: read inetd.conf now with perl
* Thu Jun 29 2000 gs@suse.de
- fixes in comments
* Thu Jun 29 2000 kkaempf@suse.de
- requires y2t_inet
* Tue Jun 27 2000 gs@suse.de
- bugfix writing /etc/rc.config
* Mon Jun 26 2000 kkaempf@suse.de
- initial version
